<?php
/**
 * [ShocK_setup   Add Theme support for and configure various core WordPress ]
 */
function ShocK_setup(){


	add_editor_style();

	//register theme options
	require( get_template_directory() . '/functions/inc/theme-options.php' );
	
	//resgister menu and topbar menu
	register_nav_menus( array('ShocK_menu'=> 'ShocK Menu: place the menu you want as primary navigation.', 'ShocK_optional_topbar' => 'Top bar Menu'));//register shock_menu

	// This theme uses post thumbnails
	add_theme_support( 'post-thumbnails' );


	// The height and width of your custom header. You can hook into the theme's own filters to change these values.
	// Add a filter to twentyten_header_image_width and twentyten_header_image_height to change these values.
	//if ( ! function_exists( 'get_custom_header' ) ) {
		define( 'HEADER_IMAGE_WIDTH', apply_filters( 'image_width', 250 ) );
		define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'image_height', 250 ) );
	//}
	//define image size top uploader slider
	add_image_size('ShocK_slides_th', 100, 78, TRUE);
	add_image_size('ShocK_slides', 900, 346, TRUE);
	add_image_size('ShocK_slides_HD', 1920, 1080, TRUE);
	// We'll be using post thumbnails for custom header images on posts and pages.
	// We want them to be 940 pixels wide by 198 pixels tall.
	// Larger images will be auto-cropped to fit, smaller ones will be ignored. See header.php.
	set_post_thumbnail_size( HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );

	/* Spanish Translations*/
	load_theme_textdomain( 'ShocK', TEMPLATEPATH.'/functions/languages' );
	get_theme_settings();
}

add_action( 'after_setup_theme', 'ShocK_setup' , 10 );
?>