<?php
/**
 * [ShocK_save_settings Save settings from theme-options]
 */
	function ShocK_save_settings( ) {

		// validate the request itself by verifying the _wpnonce from theme options
		if ( isset( $_POST['save']) && !empty($_POST['ShocK_save_opt']) ){
			if ( check_admin_referer( 'ShocK_save_settings','ShocK_save_opt' ) ) {
				foreach ( $_POST as $field => $value ) {
					switch ($field) {
						case 'ShocK_slider_options':
						case 'ShocK_slider_type':
						case 'ShocK_feat_responsiveness_slider':
						case 'ShocK_feat_caption_field_title_slider':
						case 'ShocK_feat_caption_field_date_slider':
						case 'ShocK_feat_caption_field_text_slider':
						case 'ShocK_feat_caption_field_author_slider':
						case 'ShocK_feat_thumb_position_slider':
						case 'slides':
							set_theme_mod ( $field, $value);
						break;
						/*plugin territory*/
						default:
							update_option( $field, $value);
						break;
						/*end plugin territory*/
					}
					
				}
				// validate the request itself by verifying the _wpnonce-custom-header-options nonce
				$goback = add_query_arg( 'settings-updated', 'true', wp_get_referer() );
				wp_redirect( $goback );
				exit;
			}
		}

	}
add_action( 'admin_init', 'ShocK_save_settings' );
?>